@extends('website.includes.master')

@section('title')
    Blogs
@endsection

@section('content')

    {{--    <div class="ht__bradcaump__area" style="background: rgba(0, 0, 0, 0) url({{ URL::asset('website/images/bg/4.jpg') }}) no-repeat scroll center center / cover ;">--}}
    {{--        <div class="ht__bradcaump__wrap">--}}
    {{--            <div class="container">--}}
    {{--                <div class="row">--}}
    {{--                    <div class="col-xs-12">--}}
    {{--                        <div class="bradcaump__inner">--}}
    {{--                            <nav class="bradcaump-inner">--}}
    {{--                                <a class="breadcrumb-item" href="{{ route('/') }}">Home</a>--}}
    {{--                                <span class="brd-separetor"><i class="zmdi zmdi-chevron-right"></i></span>--}}
    {{--                                <span class="breadcrumb-item active">Blog</span>--}}
    {{--                            </nav>--}}
    {{--                        </div>--}}
    {{--                    </div>--}}
    {{--                </div>--}}
    {{--            </div>--}}
    {{--        </div>--}}
    {{--    </div>--}}


    <!-- Start Blog Area -->
    <section class="htc__blog__area bg__white ptb--100 pt-5">
        <div class="container">
            <div class="ht__blog__wrap blog--page clearfix">
                <div class="row">
                    @forelse($blogs as $b=>$blog)
                        <div class="col-md-6 col-lg-4 col-sm-12 col-xs-12">
                            <div class="blog">
                                <div class="blog__thumb">
                                    <a href="{{ route('blog_detail',[$blog->slug]) }}">
                                        <img src="{{ URL::asset('admin/assets/uploads/'.$blog->image) }}"
                                             style="width:100%;min-height:270px;max-height:270px"
                                             alt="blog images">
                                    </a>
                                </div>
                                <div class="blog__details">
                                    <div class="bl__date">
                                        <span>{{ Carbon\Carbon::parse($blog->created_at)->format("M d , Y") }}</span>
                                    </div>
                                    <h2>
                                        <a href="{{ route('blog_detail',[$blog->slug]) }}">{!! Str::limit(strip_tags($blog->heading), 100) !!}</a>
                                    </h2>
                                    {!! Str::limit(strip_tags($blog->description), 150) !!}

                                    <div class="blog__btn mt-3">
                                        <a href="{{ route('blog_detail',[$blog->slug]) }}">Read More</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @empty
                        <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12 text-center justify-content-center mt-5">
                            <center>
                                <h2>No blogs available</h2>
                            </center>
                        </div>
                    @endforelse
                </div>
            </div>


            <div class="row">
                <div class="col-xs-12">
                    <ul class="htc__pagenation">
                        @if ($blogs->lastPage() > 1)
                            @if($blogs->currentPage() == 1)
                                <li><a disabled="" style="border-radius: 1px !important;cursor: not-allowed"><i
                                                class="zmdi zmdi-chevron-left"></i></a></li>
                            @else
                                <li><a href="{{ $blogs->url(1) }}" style="border-radius: 1px !important;"><i
                                                class="zmdi zmdi-chevron-left"></i></a></li>
                            @endif

                            @for ($i = 1; $i <= $blogs->lastPage(); $i++)
                                @if($blogs->currentPage() == $i)
                                    <li class="active"><a style="border-radius: 1px !important;">{{ $i }}</a></li>
                                @else
                                    <li><a href="{{ $blogs->url($i) }}"
                                           style="border-radius: 1px !important;">{{ $i }}</a></li>
                                @endif
                            @endfor

                            @if($blogs->currentPage() == $blogs->lastPage())

                                <li><a disabled="" style="border-radius: 1px !important;cursor: not-allowed"><i
                                                class="zmdi zmdi-chevron-right"></i></a></li>
                            @else
                                <li><a href="{{ $blogs->url($blogs->currentPage()+1) }}"
                                       style="border-radius: 1px !important;"><i
                                                class="zmdi zmdi-chevron-right"></i></a></li>
                            @endif

                        @endif
                    </ul>
                </div>
            </div>
        </div>


        </div>
    </section>
    <!-- End Blog Area -->

@endsection
