@extends('website.includes.master')

@section('title')
    Signup
@endsection

@section('content')

    <section class="htc__contact__area ptb--100 bg__white pt-5">
        <div class="container">

            <div class="row">
                <div class="contact-form-wrap mt--60">
                    <div class="row">
                        <div class="col-xs-12 col-lg-3 col-md-3"></div>
                        <div class="col-xs-12 col-lg-6 col-md-6">
                            @include('website.includes.laravel_errors')
                            <div class="contact-title">
                                <h2 class="title__line--6">Create your account</h2>
                            </div>
                            <form action="{{ route('save_register_user') }}" method="POST" class="MyForm">
                                @csrf
                                <div class="single-contact-form">
                                    <div class="contact-box subject">
                                        <label for="">Name</label>
                                        <input type="text" name="name" placeholder="Name *" required
                                               value="{{ old('name') }}">
                                    </div>
                                </div>
                                <div class="single-contact-form">
                                    <div class="contact-box subject">
                                        <label for="">Email</label>
                                        <input type="email" name="email" placeholder="Email *" required
                                               value="{{ old('email') }}">
                                    </div>
                                </div>
                                <div class="single-contact-form">
                                    <div class="contact-box subject">
                                        <label for="">Password</label>
                                        <input type="password" name="password" minlength="8" placeholder="********"
                                               required value="{{ old('password') }}">
                                    </div>
                                </div>
                                <div class="single-contact-form">
                                    <div class="contact-box subject">
                                        <label for="">Confirm Password</label>
                                        <input type="password" name="password_confirmation" minlength="8"
                                               placeholder="********" required value="{{ old('password_confirmation') }}">
                                    </div>
                                </div>
                                <div class="contact-btn">
                                    <button type="submit" class="fv-btn MyHover My30Radius MyButton">SIGNUP</button>
                                </div>
                                <div class="row mt-4">
                                    <div class="col-md-12">
                                        <a href="{{ route('login') }}"> Already have an account <b>Login</b> </a>
                                    </div>
                                </div>
                            </form>
                            <div class="form-output">
                                <p class="form-messege"></p>
                            </div>
                        </div>
                        <div class="col-xs-12 col-lg-3 col-md-3"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection
