@extends('website.includes.master')

@section('title')
    My Cart
@endsection

@section('content')

    <!-- cart-main-area start -->
    <div class="cart-main-area ptb--100 bg__white pt-5">
        <div class="container">

            <div class="row">
                <div class="col-md-6">
                    <?php $total_price = 0; ?>
                    @forelse($carts as $c=>$cart)

                        @php
                            $total_price = $total_price + ($cart->product->price*$cart->quantity);
                        @endphp

                        <div class="row">

                            <div class="card shadow mb-3">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="col-md-4 col-6">
                                            <a href="{{ route('product_detail',[$cart->product->slug]) }}">
                                                <img
                                                        src="{{ URL::asset('admin/assets/uploads/'.$cart->product->image) }}"
                                                        alt="product images" style="width: 100%;height: 200px">
                                            </a>
                                        </div>
                                        <div class="col-md-8 col-6">
                                            <a href="{{ route('product_detail',[$cart->product->slug]) }}">
                                                <h2 class="mb-1">{{$cart->product->name}}</h2>
                                            </a>
                                            <h4 class="mb-2">
                                                @if(!empty($cart->product->cut_price))
                                                    <del>${{ $cart->product->cut_price }}</del>
                                                @endif
                                                <span>${{ $cart->product->price }}</span>
                                            </h4>
                                            <h5 class="mb-2">Category : {{ $cart->product->category->name }}</h5>

                                            <select class="form-control mb-2"
                                                    onchange="UpdateCartProduct(this.value,'{{ $cart->id }}')">
                                                @for($i=1;$i<=20;$i++)
                                                    <option @if($cart->quantity==$i) selected
                                                            @endif value="{{ $i }}">{{ $i }}</option>
                                                @endfor
                                            </select>

                                            <a onclick="return(confirm('Are you sure to delete this record ?'))"
                                               href="{{ route('user.delete_cart_product',[$cart->id]) }}"
                                               class="My30Radius MyHover btn"
                                               style="background-color: #000000;color: white">Remove</a>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    @empty
                        <div class="row">
                            <div class="card shadow mb-3">
                                <div class="card-body">
                                    <center>
                                        <h2 style="color:red"><b>No Product Added</b></h2>
                                    </center>
                                </div>
                            </div>
                        </div>
                    @endforelse


                </div>

                <div class="col-md-6">
                    <div class="order-details">
                        <h5 class="order-details__title">Your Order</h5>
                        <div class="order-details__count">
                            <div class="order-details__count__single">
                                <h5>sub total</h5>
                                <span class="price">${{ $total_price }}</span>
                            </div>
                            <div class="order-details__count__single">
                                <h5>Shipping Fee</h5>
                                <?php
                                $shipping_fee = 0;
                                $shipping_fee = ($total_price/100)*$setting->shipping_fee;
                                ?>
                                <span class="price">${{ $shipping_fee }} @if($shipping_fee>0) ({{ $setting->shipping_fee }}%) @endif</span>
                            </div>
                            {{--                            <div class="order-details__count__single">--}}
                            {{--                                <h5>Shipping</h5>--}}
                            {{--                                <span class="price">0</span>--}}
                            {{--                            </div>--}}
                        </div>
                        <div class="ordre-details__total">
                            <h5>Order total</h5>
                            <span class="price">${{ $total_price+$shipping_fee }}</span>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <a href="{{ route('shop') }}" class="btn w-100 MyHover My30Radius"
                               style="background-color: #000000;color: white;margin-top: 20px;height: 60px;padding-top: 17px">Continue
                                Shopping</a>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('checkout') }}" class="btn w-100 MyHover My30Radius"
                               style="background-color: #000000;color: white;margin-top: 20px;height: 60px;padding-top: 17px">Checkout</a>
                        </div>
                    </div>

                </div>

            </div>

        </div>
    </div>
    <!-- cart-main-area end -->

@endsection
@section('script')
    <script>
        function UpdateCartProduct(val, id) {
            ShowLoader();
            let url = "{{ route('user.update_cart', ['id' => ':id', 'val' => ':val']) }}";
            url = url.replace(':id', id).replace(':val', val);
            window.location.href = url;
        }
    </script>
@endsection
