@extends('website.includes.master')

@section('title')
    Home
@endsection

@section('content')

    <!-- Start Slider Area -->
    <div class="slider__container slider--one bg__cat--3">
        <div class="slide__container slider__activation__wrap owl-carousel">
            <div class="single__slide animation__style01 slider__fixed--height">
                <div class="container">
                    <div class="row align-items__center">
                        <div class="col-md-7 col-sm-7 col-xs-12 col-lg-6">
                            <div class="slide">
                                <div class="slider__inner">
                                    <h2>collection 2022</h2>
                                    <h1>NICE CHAIR</h1>
                                    <div class="cr__btn">
                                        <a href="{{ route('shop') }}" class="MyHover My30Radius">Shop Now</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-sm-5 col-xs-12 col-md-5">
                            <div class="slide__thumb">
                                <img src="{{ URL::asset('website/images/slider/fornt-img/1.png') }}"
                                     alt="slider images">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="single__slide animation__style01 slider__fixed--height">
                <div class="container">
                    <div class="row align-items__center">
                        <div class="col-md-7 col-sm-7 col-xs-12 col-lg-6">
                            <div class="slide">
                                <div class="slider__inner">
                                    <h2>collection 2022</h2>
                                    <h1>NICE CHAIR</h1>
                                    <div class="cr__btn">
                                        <a href="{{ route('shop') }}" class="MyHover My30Radius">Shop Now</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-sm-5 col-xs-12 col-md-5">
                            <div class="slide__thumb">
                                <img src="{{ URL::asset('website/images/slider/fornt-img/2.png') }}"
                                     alt="slider images">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Start Slider Area -->


    <!-- Start Category Area -->
    <section class="htc__category__area ptb--100">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="section__title--2 text-center">
                        <h2 class="title__line">Products</h2>
                        <p>But I must explain to you how all this mistaken idea</p>
                    </div>
                </div>
            </div>
            <div class="htc__product__container">
                <div class="product__list clearfix h-auto mt--30">
                    <div class="row">
                        @forelse($allproducts as $allproduct)
                            <div class="col-md-3 col-6">
                                <div class="category">
                                    <div class="ht__cat__thumb">
                                        @if(!empty($allproduct->discount))
                                            <div class="sale-tag MyHover">{{ $allproduct->discount }}%</div>
                                        @endif
                                        <a href="{{ route('product_detail',[$allproduct->slug]) }}">
                                            <img src="{{ URL::asset('admin/assets/uploads/'.$allproduct->image) }}"
                                                 style="width:100%;height:auto;min-height:300px;max-height:300px"
                                                 alt="product images">
                                        </a>
                                    </div>
                                    <div class="fr__hover__info">
                                        <ul class="product__action">
                                            @if($allproduct->stock=="in stock")
                                                <li><a onclick="ShowLoader()" href="{{ route('user.add_to_cart_single',[$allproduct->id]) }}" class="ShowLoader"><i class="icon-handbag icons" style="color:#000000"></i></a>
                                                </li>
                                            @endif
                                        </ul>
                                    </div>
                                    <div class="fr__product__inner">
                                        <h4><a href="">{{ $allproduct->name }}</a></h4>
                                        <ul class="fr__pro__prize">
                                            @if(!empty($allproduct->cut_price))
                                                <li class="old__prize">
                                                    <del>${{ $allproduct->cut_price }}</del>
                                                </li>
                                            @endif
                                            <li>${{ $allproduct->price }}</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        @empty
                            <center>
                                <h2>No products available</h2>
                            </center>
                        @endforelse
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- End Category Area -->


    <!-- Start Prize Good Area -->
    <section class="htc__good__sale bg__cat--3">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-lg-6 col-sm-12 col-xs-12">
                    <div class="fr__prize__inner">
                        <h2>Contrary to popular belief is simply rand.</h2>
                        <h3>Professor at Hamp deny dney College.</h3>
                        <a class="fr__btn MyHover My30Radius" href="#">Read More</a>
                    </div>
                </div>
                <div class="col-md-6 col-lg-6 col-sm-12 col-xs-12">
                    <div class="prize__inner">
                        <div class="prize__thumb">
                            <img src="{{ URL::asset('website/images/banner/big-img/1.png') }}" alt="banner images">
                        </div>
                        <div class="banner__info">
                            <div class="pointer__tooltip pointer--3 align-left">
                                <div class="tooltip__box">
                                    <h4>Tooltip Left</h4>
                                    <p>Lorem ipsum pisaci volupt atem accusa saes ntisdumtiu loperm asaerks.</p>
                                </div>
                            </div>
                            <div class="pointer__tooltip pointer--4 align-top">
                                <div class="tooltip__box">
                                    <h4>Tooltip Top</h4>
                                    <p>Lorem ipsum pisaci volupt atem accusa saes ntisdumtiu loperm asaerks.</p>
                                </div>
                            </div>
                            <div class="pointer__tooltip pointer--5 align-bottom">
                                <div class="tooltip__box">
                                    <h4>Tooltip Bottom</h4>
                                    <p>Lorem ipsum pisaci volupt atem accusa saes ntisdumtiu loperm asaerks.</p>
                                </div>
                            </div>
                            <div class="pointer__tooltip pointer--6 align-top">
                                <div class="tooltip__box">
                                    <h4>Tooltip Bottom</h4>
                                    <p>Lorem ipsum pisaci volupt atem accusa saes ntisdumtiu loperm asaerks.</p>
                                </div>
                            </div>
                            <div class="pointer__tooltip pointer--7 align-top">
                                <div class="tooltip__box">
                                    <h4>Tooltip Bottom</h4>
                                    <p>Lorem ipsum pisaci volupt atem accusa saes ntisdumtiu loperm asaerks.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- End Prize Good Area -->


    <!-- Start Product Area -->
    <section class="ftr__product__area ptb--100">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="section__title--2 text-center">
                        <h2 class="title__line">Feature Products</h2>
                        <p>But I must explain to you how all this mistaken idea</p>
                    </div>
                </div>
            </div>
            <div class="product__wrap clearfix">
                <div class="row">
                    @forelse($featureproducts as $featureproduct)
                        <div class="col-md-3 col-6">
                            <div class="category">
                                <div class="ht__cat__thumb">
                                    @if(!empty($featureproduct->discount))
                                        <div class="sale-tag MyHover">{{ $featureproduct->discount }}%</div>
                                    @endif
                                    <a href="{{ route('product_detail',[$featureproduct->slug]) }}">
                                        <img src="{{ URL::asset('admin/assets/uploads/'.$featureproduct->image) }}"
                                             style="width:100%;height:auto;min-height:300px;max-height:300px"
                                             alt="product images">
                                    </a>
                                </div>
                                <div class="fr__hover__info">
                                    <ul class="product__action">
                                        @if($featureproduct->stock=="in stock")
                                            <li><a onclick="ShowLoader()" href="{{ route('user.add_to_cart_single',[$featureproduct->id]) }}"><i class="icon-handbag icons" style="color:#000000"></i></a>
                                            </li>
                                        @endif
                                    </ul>
                                </div>
                                <div class="fr__product__inner">
                                    <h4>
                                        <a href="{{ route('product_detail',[$featureproduct->slug]) }}">{{ $featureproduct->name }}</a>
                                    </h4>
                                    <ul class="fr__pro__prize">
                                        @if(!empty($featureproduct->cut_price))
                                            <li class="old__prize">
                                                <del>${{ $featureproduct->cut_price }}</del>
                                            </li>
                                        @endif
                                        <li>${{ $featureproduct->price }}</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    @empty
                        <center>
                            <h2>No products available</h2>
                        </center>
                    @endforelse
                </div>
            </div>
        </div>
    </section>
    <!-- End Product Area -->


    <!-- Start Testimonial Area -->
    <section class="htc__testimonial__area bg__cat--4">
        <div class="container">
            <div class="mx-n-15px">
                <div class="ht__testimonial__activation clearfix">
                    <!-- Start Single Testimonial -->
                    <div class="px-15px single__tes">
                        <div class="testimonial">
                            <div class="testimonial__thumb">
                                <img src="{{ URL::asset('website/images/test/client/1.png') }}"
                                     alt="testimonial images">
                            </div>
                            <div class="testimonial__details">
                                <h4><a href="#">Mr.Mike Band</a></h4>
                                <p>I’m up to something. Stay focused. The weather is amazing, walk with me through the
                                    pathway of more success. </p>
                            </div>
                        </div>
                    </div>
                    <!-- End Single Testimonial -->
                    <!-- Start Single Testimonial -->
                    <div class="px-15px single__tes">
                        <div class="testimonial">
                            <div class="testimonial__thumb">
                                <img src="{{ URL::asset('website/images/test/client/2.png') }}"
                                     alt="testimonial images">
                            </div>
                            <div class="testimonial__details">
                                <h4><a href="#">Ms.Lucy Barton</a></h4>
                                <p>I’m up to something. Stay focused. The weather is amazing, walk with me through the
                                    pathway of more success. </p>
                            </div>
                        </div>
                    </div>
                    <!-- End Single Testimonial -->
                    <!-- Start Single Testimonial -->
                    <div class="px-15px single__tes">
                        <div class="testimonial">
                            <div class="testimonial__thumb">
                                <img src="{{ URL::asset('website/images/test/client/1.png') }}"
                                     alt="testimonial images">
                            </div>
                            <div class="testimonial__details">
                                <h4><a href="#">Ms.Lucy Barton</a></h4>
                                <p>I’m up to something. Stay focused. The weather is amazing, walk with me through the
                                    pathway of more success. </p>
                            </div>
                        </div>
                    </div>
                    <!-- End Single Testimonial -->
                    <!-- Start Single Testimonial -->
                    <div class="px-15px single__tes">
                        <div class="testimonial">
                            <div class="testimonial__thumb">
                                <img src="{{ URL::asset('website/images/test/client/2.png') }}"
                                     alt="testimonial images">
                            </div>
                            <div class="testimonial__details">
                                <h4><a href="#">Ms.Lucy Barton</a></h4>
                                <p>I’m up to something. Stay focused. The weather is amazing, walk with me through the
                                    pathway of more success. </p>
                            </div>
                        </div>
                    </div>
                    <!-- End Single Testimonial -->
                </div>
            </div>
        </div>
    </section>
    <!-- End Testimonial Area -->


    <!-- Start Blog Area -->
    <section class="htc__blog__area bg__white ptb--100">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="section__title--2 text-center">
                        <h2 class="title__line">Our Blog</h2>
                        <p>But I must explain to you how all this mistaken idea</p>
                    </div>
                </div>
            </div>
            <div class="ht__blog__wrap clearfix">
                <div class="row">
                    @forelse($blogs as $b=>$blog)
                        <div class="col-md-6 col-lg-4 col-sm-12 col-xs-12">
                            <div class="blog">
                                <div class="blog__thumb">
                                    <a href="{{ route('blog_detail',[$blog->slug]) }}">
                                        <img src="{{ URL::asset('admin/assets/uploads/'.$blog->image) }}"
                                             style="width:100%;min-height:270px;max-height:270px"
                                             alt="blog images">
                                    </a>
                                </div>
                                <div class="blog__details">
                                    <div class="bl__date">
                                        <span>{{ Carbon\Carbon::parse($blog->created_at)->format("M d , Y") }}</span>
                                    </div>
                                    <h2>
                                        <a href="{{ route('blog_detail',[$blog->slug]) }}">{!! Str::limit(strip_tags($blog->heading), 100) !!}</a>
                                    </h2>
                                    {!! Str::limit(strip_tags($blog->description), 150) !!}

                                    <div class="blog__btn mt-3">
                                        <a href="{{ route('blog_detail',[$blog->slug]) }}">Read More</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @empty
                    @endforelse
                </div>
            </div>
        </div>
    </section>
    <!-- End Blog Area -->

    <!-- Start Brand Area -->
    <div class="htc__brand__area bg__cat--4">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="ht__brand__inner">
                        <ul class="brand__list owl-carousel clearfix">
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/1.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/2.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/3.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/4.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/5.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/5.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/1.png') }}"
                                                 alt="brand images"></a></li>
                            <li><a href="#"><img src="{{ URL::asset('website/images/brand/2.png') }}"
                                                 alt="brand images"></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End Brand Area -->

@endsection
