@extends('website.includes.master')

@section('title')
    Login
@endsection

@section('content')

    <section class="htc__contact__area ptb--100 bg__white pt-5">
        <div class="container">

            <div class="row">
                <div class="contact-form-wrap mt--60">
                    <div class="row">
                        <div class="col-xs-12 col-lg-3 col-md-3"></div>
                        <div class="col-xs-12 col-lg-6 col-md-6">
                            @include('website.includes.laravel_errors')
                            <div class="contact-title">
                                <h2 class="title__line--6">Login with your account</h2>
                            </div>
                            <form action="{{ route('customerlogin') }}" method="POST" class="MyForm">
                                @csrf
                                <div class="single-contact-form">
                                    <div class="contact-box subject">
                                        <label for="">Email</label>
                                        <input type="email" name="email" placeholder="Email *" required>
                                    </div>
                                </div>
                                <div class="single-contact-form">
                                    <div class="contact-box subject">
                                        <label for="password">Password</label>
                                        <div style="position: relative;">
                                            <input type="password" id="password" name="password" placeholder="********"
                                                   required>
                                            <button type="button" onclick="togglePassword()"
                                                    style="position: absolute; right: 10px; top: 50%; transform: translateY(-50%); background: none; border: none; cursor: pointer;">
                                                <span id="toggleIcon"><i class="fa fa-eye"></i>️</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-4">
                                    <div class="col-md-12">
                                        <a href="{{ route('forgot') }}"> <i class="fa fa-lock"></i> Forgot Password</a>
                                    </div>
                                </div>
                                <div class="contact-btn">
                                    <button type="submit" class="fv-btn MyHover My30Radius MyButton">LOGIN</button>
                                </div>
                                <div class="row mt-4">
                                    <div class="col-md-12">
                                        <a href="{{ route('signup') }}"> Dont have an account <b>Create account</b> </a>
                                    </div>
                                </div>
                            </form>
                            <div class="form-output">
                                <p class="form-messege"></p>
                            </div>
                        </div>
                        <div class="col-xs-12 col-lg-3 col-md-3"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection
@section('script')
    <script>
        function togglePassword() {
            const passwordInput = document.getElementById('password');
            const toggleIcon = document.getElementById('toggleIcon');

            if (passwordInput.type === 'password') {
                passwordInput.type = 'text';
                toggleIcon.innerHTML = '<i class="fa fa-eye-slash"></i>';
            } else {
                passwordInput.type = 'password';
                toggleIcon.innerHTML = '<i class="fa fa-eye"></i>';
            }
        }
    </script>
@endsection
