@extends('website.includes.master')

@section('title')
    Privacy Policy
@endsection

@section('content')

    <section class="htc__produc__decription bg__white">
        <div class="container">

            <div class="row mt-5">
                <div class="col-xs-12">
                    <div class="ht__pro__details__content">
                        <!-- Start Single Content -->
                        <div role="tabpanel" id="description" class="pro__single__content tab-pane fade show active">
                            <div class="pro__tab__content__inner">

                                <h2 class="ht__pro__title"><b>Privacy Policy</b></h2>

                                <h5 class="my-4">Privacy Policy for <b>Ecoline</b>, your furniture e-commerce website.
                                    You can customize this to suit specific legal requirements and ensure compliance
                                    with relevant laws..</h5>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b> Introduction</b></h5>
                                <p>Welcome to Ecoline. This Privacy Policy explains how we collect, use, disclose, and
                                    safeguard your information when you visit our website. Please read this policy
                                    carefully to understand our views and practices regarding your data.</p>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b>Information We Collect</b></h5>
                                <h6>We collect several types of information, including:</h6>
                                <br>
                                <p><b>Personal Information</b>: Name, email address, phone number, shipping address, and
                                    payment details.</p>
                                <p><b>Usage Data</b>: Details of your visits to our site, including traffic data,
                                    location data, and other communication data.</p>
                                <p><b>Cookies and Tracking Data</b>: Information from cookies and similar tracking
                                    technologies.</p>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b>How We Use Your Information</b></h5>
                                <h6>We may use your information for the following purposes:</h6>
                                <br>
                                <ul style="list-style: circle;margin-left: 50px">
                                    <li><p>To process and fulfill your orders.</p></li>
                                    <li><p>To manage your account.</p></li>
                                    <li><p>To communicate with you about products, services, and promotional offers.</p>
                                    </li>
                                    <li><p>Analyze trends and improve our website.</p></li>
                                </ul>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b>Sharing of Information</b></h5>
                                <h6>We may share your information with:</h6>
                                <br>
                                <p><b>Service Providers</b>: Third parties who assist us in providing services, such as
                                    payment processing or order fulfillment.</p>
                                <p><b>Legal Requirements</b>: When required by law, we may disclose your information to
                                    government or regulatory agencies.</p>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b> Cookies and Tracking Technologies</b></h5>
                                <p>Ecoline uses cookies to enhance your browsing experience. You can manage cookie
                                    preferences in your browser settings, but disabling cookies may affect your
                                    experience.</p>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b>Data Security</b></h5>
                                <p>We take the protection of your data seriously and use various security measures to
                                    safeguard your information. However, no system is entirely secure, and we cannot
                                    guarantee the absolute security of your data.</p>

                                <h5 class="my-4"> <i class="fa fa-arrow-right"></i> <b>Changes to Our Privacy Policy</b></h5>
                                <p>We may update this policy periodically. Please review it frequently to stay informed
                                    about how we protect your information.</p>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection
